Page tree
Skip to end of metadata
Go to start of metadata

Allgemeine Systemvoraussetzungen

Die allgemeinen Systemvoraussetzungen für büro+ können unserer Website entnommen werden: Systemvoraussetzungen.

Innerhalb unseres e-commerce-Bereichs der Hilfe erhalten Sie zudem die Systemvoraussetzungen microtech E-Commerce / Logistik & Versand, die speziell für büro+ mit aktivierten Modul "e-commerce" gelten.

Zusätzlich haben wir für bestimmte Konstellationen, weitere hilfreiche Informationen zu den Voraussetzungen festgehalten. Siehe auch: Kompatible Shopsysteme (Middleware).

Systemvoraussetzungen zur Nutzung von büro+ gemeinsam mit Shopware

Webservice

Auf dem Webserver wird neben dem installiertem Shopsystem auch ein Webservice ausgeführt, der für einen effizienten Datenabgleich zwischen der E-Commerce Middleware und der Datenbank des Online-Shops sorgt. Die hier genannten Systemanforderungen sind Mindestanforderungen der Webservices. Daneben müssen auch die Anforderungen des Shopsystems selbst beachtet werden, die neuere Softwareversionen und weitere PHP-Module beinhalten können. Das Gesamtsystem aus Shop und E-Commerce Middleware funktioniert nur dann zuverlässig, wenn die Anforderungen beider Systeme erfüllt sind.

PHP-Version und PHP-Erweiterungen

Die Herstellerinformationen (externer Link zu Shopware) sind zu beachten.

Folgende PHP-Erweiterungen müssen aktiviert sein:

SQL-Server

Für den SQL-Server gelten folgende Mindestversionen:

  • MySQL 5.x (mindestens 5.0.7)
  • MariaDB-Datenbankserver 5.x, mindestens Version 

Falls MariaDB als Ersatz für MySQL verwendet wird, darf diese nicht im standardmäßig aktivierten SQL-Modus STRICT_TRANS_TABLES betrieben werden, sondern es muss auf NO_ENGINE_SUBSTITUTION umgestellt werden.

  • No labels